Update notification capture and retention
POST
/v1/disks/{disk}/notificationsPOST
/v1/disks/{disk}/notifications
const url = 'https://api.wabe.sh/v1/disks/demo/notifications';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"enabled":true,"retention":{"max_count":1000},"coalesce_window_ms":0}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.wabe.sh/v1/disks/demo/notifications \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "enabled": true, "retention": { "max_count": 1000 }, "coalesce_window_ms": 0 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”disk
required
string
Example
demoProject disk name, or the disk ID in the actor runtime disk URL.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
enabled
boolean
retention
object
max_count
integer | null
max_bytes
integer | null
coalesce_window_ms
integer
include_value
boolean
Example
{ "enabled": true, "retention": { "max_count": 1000 }, "coalesce_window_ms": 0}Responses
Section titled “Responses”Updated settings. A supplied retention object replaces the previous one; at least one positive limit is required while enabled.
Media typeapplication/json
object
enabled
required
boolean
retention
required
object
max_count
integer | null
max_bytes
integer | null
coalesce_window_ms
required
integer
include_value
required
boolean
Invalid settings, cursor or filters.
object
code
required
string
message
required
string
string
Missing, invalid or revoked project API key, or an invalid runtime access token.
Media typeapplication/json
object
error
required
string
message
required
string
Actor runtime token does not authorize this disk or instance generation.
Media typeapplication/json
object
error
required
string
message
required
string
Object was not found.
Media typetext/plain
string
Conflict, nonempty destination or referenced object.
Media typetext/plain
string
Storage failure.
object
code
required
string
message
required
string
string
Notifications closed.
Media typeapplication/json
object
code
required
string
message
required
string